# Condition_Recursive_Thread_Mutex.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Recursive_Thread_Mutex.h"`

Include dependency graph for Condition_Recursive_Thread_Mutex.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Condition< ACE_Recursive_Thread_Mutex >
| ACE_Condition template specialization written using ACE_Recursive_Thread_Mutex. This allows threads to block until shared data changes state using recursive mutexes. More...
class | ACE_Condition_Recursive_Thread_Mutex

## Detailed Description

Id
  Condition_Recursive_Thread_Mutex.h,v 4.7 2005/11/03 17:19:49 ossama Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>